You are not logged in.

#1 2022-05-05 04:10

kyonides
Member
Registered: 2022-03-09
Posts: 2

q4os sw profiler data bug

The following packages will be upgraded:
  q4os-sw-profiler-data
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 11.1 kB of archives.
After this operation, 20.5 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 q4repo q4os-4-0-cn/main i386 q4os-sw-profiler-data all 4.12.2-a1 [11.1 kB]
Fetched 11.1 kB in 1s (8,524 B/s)
(Reading database ... 452797 files and directories currently installed.)
Preparing to unpack .../q4os-sw-profiler-data_4.12.2-a1_all.deb ...
Unpacking q4os-sw-profiler-data (4.12.2-a1) over (4.11.1-a1) ...
Setting up q4os-sw-profiler-data (4.12.2-a1) ...
dpkg: error: parsing file '/var/lib/dpkg/status' near line 22913 package 'libgl1-mesa-dri:i386':
'Depends' field, invalid package name 'libst`c++6': character '`' not allowed (only letters, digits and characters '-+._')
free(): invalid size
Aborted

The error message was slightly altered in order to bypass the post no link limitation imposed by the board.

Offline

#2 2022-05-05 12:15

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 3,636
Website

Re: q4os sw profiler data bug

That looks like your Apt package system is corrupted in some way. Please run in terminal:
$ qrepolist
$ sudo apt update
$ sudo apt dist-upgrade
and paste the terminal output.

Offline

Board footer

Powered by FluxBB